
%define lib_major       1
%define lib_name        %mklibname pixman %{lib_major}

# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true


Name:		libpixman
Summary:	Libpixman - Pixel manipulation library.
Version:	0.1.0
Release:	1mdk
License:	BSD
Group:		System/Libraries
URL:		http://cairographics.org/snapshots/
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkgconfig >= 0.8

%description
Libpixman - Pixel manipulation Library.

Libpixman is a merge of libpixregion and libic.
It also includes the slim headers.

Libpixregion is a generic library for manipulating pixel regions. A
PixRegion is a set of Y-X banded rectangles that cover the desired
region.

Libic is a generic image compositing library. libic provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

Slim stands for: Shared Library Interface Macros.


%package -n %{lib_name}
Summary:	Libpixman - Pixel manipulation library.
Group:		System/Libraries

%description -n %{lib_name}
Libpixman - Pixel manipulation library.

Libpixman is a merge of libpixregion and libic.
It also includes the slim headers.

Libpixregion is a generic library for manipulating pixel regions. A
PixRegion is a set of Y-X banded rectangles that cover the desired
region.

Libic is a generic image compositing library. libic provides
Porter/Duff compositing of images and implicit mask generation for
geometric primitives including trapezoids, triangles, and rectangles.

Slim stands for: Shared Library Interface Macros.

%package -n %{lib_name}-devel
Summary:	Libraries and include files for developing with libpixman.
Group:		Development/C
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	slim-devel
Obsoletes:	slim-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop with libpixman.


%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall


%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT


%files -n %{lib_name}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING README
%doc ChangeLog ChangeLog.libic ChangeLog.libpixregion ChangeLog.slim
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(0644, root, root, 0755)
%{_libdir}/*.so
%{_libdir}/*.*a
%{_includedir}/*.h
%{_libdir}/pkgconfig/*

%changelog
* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.1.0-1mdk
- initial mandrake contrib
